package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallSchoolSuggest;
import com.ruoyi.mall.domain.Vo.SchoolSuggestVO;

/**
 * 推荐度Service接口
 *
 * @author ruoyi
 * @date 2023-10-28
 */
public interface IMallSchoolSuggestService
{
    /**
     * 查询推荐度
     *
     * @param suggestId 推荐度主键
     * @return 推荐度
     */
    public MallSchoolSuggest selectMallSchoolSuggestBySuggestId(Long suggestId);

    /**
     * 查询推荐度列表
     *
     * @param mallSchoolSuggest 推荐度
     * @return 推荐度集合
     */
    public List<MallSchoolSuggest> selectMallSchoolSuggestList(MallSchoolSuggest mallSchoolSuggest);

    /**
     * 新增推荐度
     *
     * @param mallSchoolSuggest 推荐度
     * @return 结果
     */
    public int insertMallSchoolSuggest(MallSchoolSuggest mallSchoolSuggest);

    /**
     * 修改推荐度
     *
     * @param mallSchoolSuggest 推荐度
     * @return 结果
     */
    public int updateMallSchoolSuggest(MallSchoolSuggest mallSchoolSuggest);

    /**
     * 批量删除推荐度
     *
     * @param suggestIds 需要删除的推荐度主键集合
     * @return 结果
     */
    public int deleteMallSchoolSuggestBySuggestIds(Long[] suggestIds);

    /**
     * 删除推荐度信息
     *
     * @param suggestId 推荐度主键
     * @return 结果
     */
    public int deleteMallSchoolSuggestBySuggestId(Long suggestId);

    /**
     * 推荐度列表
     * @return 结果
     */
    public List<SchoolSuggestVO> selectSuggestList();
}
